export type Color = string & { readonly __color: unique symbol };
export const color = (hex: string) => hex as Color;

export interface Face {
	fg: Color | null,
	bg: Color | null,
}
export const createFace = (
	fg: Face["fg"],
	bg: Face["bg"],
): Face => ({ fg, bg });
export const fgBg = createFace;
export const fg = (fg: Face["fg"]) => createFace(fg, null);
