const dirname = (path: string) => path.split("/").slice(0, -1).join("/");

export const ensureDir = async (path: string) => {
	const dir = dirname(path);
	try {
		await Deno.mkdir(dir, { recursive: true });
	} catch (e) {
		if (!(e instanceof Deno.errors.AlreadyExists)) {
			throw e;
		}
	}
}
